D-Bus 1.14.8

Data Fields
DBusRealError Struct Reference
D-Bus secret internal implementation details » Error reporting internals

Internals of DBusError. More...

## Data Fields
char * | name
| error name
char * | message
| error message
unsigned int | const_message: 1
| Message is not owned by DBusError.
unsigned int | dummy2: 1
| placeholder
unsigned int | dummy3: 1
| placeholder
unsigned int | dummy4: 1
| placeholder
unsigned int | dummy5: 1
| placeholder
void * | padding1
| placeholder

## Detailed Description

Internals of DBusError.

Definition at line 65 of file dbus-errors.c.

## Field Documentation

## ◆ const_message

unsigned int DBusRealError::const_message

Message is not owned by DBusError.

Definition at line 70 of file dbus-errors.c.

Referenced by dbus_error_free(), dbus_error_init(), and dbus_set_error_const().

## ◆ dummy2

unsigned int DBusRealError::dummy2

placeholder

Definition at line 72 of file dbus-errors.c.

## ◆ dummy3

unsigned int DBusRealError::dummy3

placeholder

Definition at line 73 of file dbus-errors.c.

## ◆ dummy4

unsigned int DBusRealError::dummy4

placeholder

Definition at line 74 of file dbus-errors.c.

## ◆ dummy5

unsigned int DBusRealError::dummy5

placeholder

Definition at line 75 of file dbus-errors.c.

## ◆ message

char* DBusRealError::message

error message

Definition at line 68 of file dbus-errors.c.

Referenced by dbus_error_free(), dbus_error_init(), and dbus_set_error_const().

## ◆ name

char* DBusRealError::name

error name

Definition at line 67 of file dbus-errors.c.

Referenced by dbus_error_free(), dbus_error_init(), and dbus_set_error_const().

## ◆ padding1

void* DBusRealError::padding1

placeholder

Definition at line 77 of file dbus-errors.c.

The documentation for this struct was generated from the following file:

- dbus-errors.c